package com.pcloud.book.applet.dao;

import com.pcloud.book.applet.entity.ServeCollect;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * (ServeCollect)表数据库访问层
 *
 * @author makejava
 * @since 2020-09-10 10:44:31
 */
public interface ServeCollectDao extends BaseDao<ServeCollect> {

    void cancelCollect(List<Long> ids);

    void deleteInvalidNews(List<Long> newsIds);

    List<ServeCollect> getList4RightsSetting(List<ServeCollect> serveCollects);

    List<Long> getAllCollect(Long wechatUserId);
}